DelegatingSmartContextLoader (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.test.context.support

## Class DelegatingSmartContextLoader

- java.lang.Object
- - org.springframework.test.context.support.AbstractDelegatingSmartContextLoader
  - - org.springframework.test.context.support.DelegatingSmartContextLoader

- All Implemented Interfaces:
    ContextLoader, SmartContextLoader

      public class DelegatingSmartContextLoader
      extends AbstractDelegatingSmartContextLoader

  `DelegatingSmartContextLoader` is a concrete implementation of `AbstractDelegatingSmartContextLoader` that delegates to a `GenericXmlContextLoader` and an `AnnotationConfigContextLoader`.
  Since:
    3.1
  Author:
    Sam Brannen
  See Also:
    `SmartContextLoader`, `AbstractDelegatingSmartContextLoader`, `GenericXmlContextLoader`, `AnnotationConfigContextLoader`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegatingSmartContextLoader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SmartContextLoader` | `getAnnotationConfigLoader()` Get the delegate `SmartContextLoader` that supports annotated classes.
    `protected SmartContextLoader` | `getXmlLoader()` Get the delegate `SmartContextLoader` that supports XML configuration files.

    - ### Methods inherited from class org.springframework.test.context.support.AbstractDelegatingSmartContextLoader

      `loadContext, loadContext, processContextConfiguration, processLocations`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegatingSmartContextLoader

          public DelegatingSmartContextLoader()

  - ### Method Detail

    - #### getXmlLoader

          protected SmartContextLoader getXmlLoader()

      Description copied from class: `AbstractDelegatingSmartContextLoader`
      Get the delegate `SmartContextLoader` that supports XML configuration files.
      Specified by:
        `getXmlLoader` in class `AbstractDelegatingSmartContextLoader`

    - #### getAnnotationConfigLoader

          protected SmartContextLoader getAnnotationConfigLoader()

      Description copied from class: `AbstractDelegatingSmartContextLoader`
      Get the delegate `SmartContextLoader` that supports annotated classes.
      Specified by:
        `getAnnotationConfigLoader` in class `AbstractDelegatingSmartContextLoader`